require "menu"
require "about"
require "game"
require "player"
require "settings"
require "OnscreenControls" 

function love.load()
gamestate = "menu"


  if gamestate == "menu" then
    menu_load()
  elseif gamestate == "about" then 
    about_load()
  elseif gamestate == "game" then
    game_load()
  elseif gamestate == "settings" then
    settings_load()
      
    end
end
function love.draw()
  if gamestate == "menu" then
    menu_draw()
  elseif gamestate == "about" then
      about_draw()
    elseif gamestate == "game" then
      game_draw()
    elseif gamestate == "settings" then
      settings_draw()

  end
end
function love.update(dt)
  if gamestate == "menu" then
    menu_update(dt)
  elseif gamestate == "about" then
      about_update(dt)
    elseif gamestate == "game" then
      game_update(dt)
    elseif gamestate == "settings" then
      settings_update(dt)

    end
  end
  function love.mousepressed(x,y,button,isTouch)
    if gamestate == "menu" then
      menu_mousepressed(x,y,button,isTouch)
    elseif gamestate == "about" then
        about_mousepressed(x,y,button,isTouch)
      elseif gamestate == "game" then
        game_mousepressed(x,y,button,isTouch)
      elseif gamestate == "settings" then
        settings_mousepressed(x,y,button,isTouch)
      
    end
  end
  function love.touchpressed(id,x,y)
    if gamestate == "game" then
      game_touchpressed(id,x,y)
    end
  end
  function love.touchreleased(id,x,y)
    if gamestate == "game" then
      game_touchreleased(id,x,y)
      end
    end
function love.keypressed(key)
  if gamestate == "game" then
    game_keypressed(key)
  end
end